---
type: api
title: Get a value list item
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-readlistitem
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-readlistitem
products:
  - Kibana
---

# Get a value list item

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/lists/items`
- `GET` `/s/{space_id}/api/lists/items`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the details of a value list item.

## Query String Parameters

- `id` (string · min: 1)
  Value list item identifier. Required if `list_id` and `value` are not specified.
- `list_id` (string · min: 1)
  Value list item list's `id` identfier. Required if `id` is not specified.
- `value` (string)
  The value used to evaluate exceptions. Required if `id` is not specified.

## Responses

#### `200`

Successful response

`application/json`

One of:
- **[]ListItem**
  - `_version` (string)
    The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
  - `@timestamp` (string)
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `id` (string · min: 1)
    Value list item's identifier.
  - `list_id` (string · min: 1)
    Value list's identifier.
  - `meta` (object)
    Placeholder for metadata about the value list item.
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

- `keyword`: Many ECS fields are Elasticsearch keywords
- `ip`: IP addresses
- `ip_range`: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
    Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
  - `value` (string · min: 1)
    The value used to evaluate exceptions.
- **ListItem**
  - `_version` (string)
    The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
  - `@timestamp` (string)
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `id` (string · min: 1)
    Value list item's identifier.
  - `list_id` (string · min: 1)
    Value list's identifier.
  - `meta` (object)
    Placeholder for metadata about the value list item.
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

- `keyword`: Many ECS fields are Elasticsearch keywords
- `ip`: IP addresses
- `ip_range`: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
    Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
  - `value` (string · min: 1)
    The value used to evaluate exceptions.
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

List item not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/lists/items
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/lists/items"
```

## Response Examples

#### Ip

```json
{
  "_version": "WzExLDFd",
  "@timestamp": "2025-01-08T05:16:25.882Z",
  "created_at": "2025-01-08T05:16:25.882Z",
  "created_by": "elastic",
  "id": "qN1XRJQBs4HAK3VQs3Gc",
  "list_id": "ip_list",
  "tie_breaker_id": "a9a34c02-a385-436e-86a0-02a3942f3537",
  "type": "ip",
  "updated_at": "2025-01-08T05:16:25.882Z",
  "updated_by": "elastic",
  "value": "127.0.0.2"
}
```

#### Bad

```json
{
  "message": "Either \\\u0022list_id\\\u0022 or \\\u0022id\\\u0022 needs to be defined in the request",
  "status_code": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/items?id=qN1XRJQBs4HAK3VQs3Gc] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message": "list item id: \\\u0022foo\\\u0022 not found",
  "status_code": 404
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

